ColumnFamilyStoreMBean (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db

## Interface ColumnFamilyStoreMBean

- All Known Implementing Classes:
    ColumnFamilyStore

      public interface ColumnFamilyStoreMBean

  The MBean interface for ColumnFamilyStore

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beginLocalSampling(java.lang.String sampler, int capacity)` begin sampling for a specific sampler with a given capacity.
    `void` | `compactionDiskSpaceCheck(boolean enable)`
    `long` | `estimateKeys()`
    `javax.management.openmbean.CompositeData` | `finishLocalSampling(java.lang.String sampler, int count)`
    `void` | `forceCompactionForTokenRange(java.util.Collection<Range<Token>> tokenRanges)` force a major compaction of specified key range in this column family
    `void` | `forceMajorCompaction(boolean splitOutput)` force a major compaction of this column family
    `java.util.List<java.lang.String>` | `getBuiltIndexes()` Returns a list of the names of the built column indexes for current store
    `java.lang.String` | `getColumnFamilyName()` Deprecated.
    `java.util.Map<java.lang.String,java.lang.String>` | `getCompactionParameters()`
    `java.lang.String` | `getCompactionParametersJson()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getCompressionParameters()` Get the compression parameters
    `double` | `getDroppableTombstoneRatio()` Get the ratio of droppable tombstones to real columns (and non-droppable tombstones)
    `int` | `getLevelFanoutSize()`
    `int` | `getMaximumCompactionThreshold()` Gets the maximum number of sstables in queue before compaction kicks off
    `int` | `getMinimumCompactionThreshold()` Gets the minimum number of sstables in queue before compaction kicks off
    `int[]` | `getSSTableCountPerLevel()`
    `java.util.List<java.lang.String>` | `getSSTablesForKey(java.lang.String key)` Returns a list of filenames that contain the given key on this node
    `java.util.List<java.lang.String>` | `getSSTablesForKey(java.lang.String key, boolean hexFormat)` Returns a list of filenames that contain the given key on this node
    `java.lang.String` | `getTableName()`
    `int` | `getUnleveledSSTables()`
    `boolean` | `isAutoCompactionDisabled()`
    `boolean` | `isCompactionDiskSpaceCheckEnabled()`
    `void` | `loadNewSSTables()` Scan through Keyspace/ColumnFamily's data directory determine which SSTables should be loaded and load them
    `void` | `setCompactionParameters(java.util.Map<java.lang.String,java.lang.String> options)` Sets the compaction parameters locally for this node Note that this will be set until an ALTER with compaction = {..} is executed or the node is restarted
    `void` | `setCompactionParametersJson(java.lang.String options)` Sets the compaction parameters locally for this node Note that this will be set until an ALTER with compaction = {..} is executed or the node is restarted
    `void` | `setCompactionThresholds(int minThreshold, int maxThreshold)` Sets the maximum and maximum number of SSTables in queue before compaction kicks off
    `void` | `setCompressionParameters(java.util.Map<java.lang.String,java.lang.String> opts)` Set the compression parameters
    `void` | `setCrcCheckChance(double crcCheckChance)` Set new crc check chance
    `void` | `setMaximumCompactionThreshold(int threshold)` Sets the maximum number of sstables in queue before compaction kicks off
    `void` | `setMinimumCompactionThreshold(int threshold)` Sets the minimum number of sstables in queue before compaction kicks off
    `long` | `trueSnapshotsSize()`

- - ### Method Detail

    - #### getColumnFamilyName

          @Deprecated
          java.lang.String getColumnFamilyName()

      Deprecated.
      Returns:
        the name of the column family

    - #### getTableName

          java.lang.String getTableName()

    - #### forceMajorCompaction

          void forceMajorCompaction(boolean splitOutput)
                             throws java.util.concurrent.ExecutionException,
                                    java.lang.InterruptedException

      force a major compaction of this column family
      Parameters:
        `splitOutput` - true if the output of the major compaction should be split in several sstables
      Throws:
        `java.util.concurrent.ExecutionException`
        `java.lang.InterruptedException`

    - #### forceCompactionForTokenRange

          void forceCompactionForTokenRange(java.util.Collection<Range<Token>> tokenRanges)
                                     throws java.util.concurrent.ExecutionException,
                                            java.lang.InterruptedException

      force a major compaction of specified key range in this column family
      Throws:
        `java.util.concurrent.ExecutionException`
        `java.lang.InterruptedException`

    - #### getMinimumCompactionThreshold

          int getMinimumCompactionThreshold()

      Gets the minimum number of sstables in queue before compaction kicks off

    - #### setMinimumCompactionThreshold

          void setMinimumCompactionThreshold(int threshold)

      Sets the minimum number of sstables in queue before compaction kicks off

    - #### getMaximumCompactionThreshold

          int getMaximumCompactionThreshold()

      Gets the maximum number of sstables in queue before compaction kicks off

    - #### setCompactionThresholds

          void setCompactionThresholds(int minThreshold,
                                       int maxThreshold)

      Sets the maximum and maximum number of SSTables in queue before compaction kicks off

    - #### setMaximumCompactionThreshold

          void setMaximumCompactionThreshold(int threshold)

      Sets the maximum number of sstables in queue before compaction kicks off

    - #### setCompactionParametersJson

          void setCompactionParametersJson(java.lang.String options)

      Sets the compaction parameters locally for this node Note that this will be set until an ALTER with compaction = {..} is executed or the node is restarted
      Parameters:
        `options` - compaction options with the same syntax as when doing ALTER ... WITH compaction = {..}

    - #### getCompactionParametersJson

          java.lang.String getCompactionParametersJson()

    - #### setCompactionParameters

          void setCompactionParameters(java.util.Map<java.lang.String,java.lang.String> options)

      Sets the compaction parameters locally for this node Note that this will be set until an ALTER with compaction = {..} is executed or the node is restarted
      Parameters:
        `options` - compaction options map

    - #### getCompactionParameters

          java.util.Map<java.lang.String,java.lang.String> getCompactionParameters()

    - #### getCompressionParameters

          java.util.Map<java.lang.String,java.lang.String> getCompressionParameters()

      Get the compression parameters

    - #### setCompressionParameters

          void setCompressionParameters(java.util.Map<java.lang.String,java.lang.String> opts)

      Set the compression parameters
      Parameters:
        `opts` - map of string names to values

    - #### setCrcCheckChance

          void setCrcCheckChance(double crcCheckChance)

      Set new crc check chance

    - #### isAutoCompactionDisabled

          boolean isAutoCompactionDisabled()

    - #### estimateKeys

          long estimateKeys()

    - #### getBuiltIndexes

          java.util.List<java.lang.String> getBuiltIndexes()

      Returns a list of the names of the built column indexes for current store
      Returns:
        list of the index names

    - #### getSSTablesForKey

          java.util.List<java.lang.String> getSSTablesForKey(java.lang.String key)

      Returns a list of filenames that contain the given key on this node
      Parameters:
        `key` -
      Returns:
        list of filenames containing the key

    - #### getSSTablesForKey

          java.util.List<java.lang.String> getSSTablesForKey(java.lang.String key,
                                                             boolean hexFormat)

      Returns a list of filenames that contain the given key on this node
      Parameters:
        `key` -
        `hexFormat` - if key is in hex string format
      Returns:
        list of filenames containing the key

    - #### loadNewSSTables

          void loadNewSSTables()

      Scan through Keyspace/ColumnFamily's data directory determine which SSTables should be loaded and load them

    - #### getUnleveledSSTables

          int getUnleveledSSTables()

      Returns:
        the number of SSTables in L0. Always return 0 if Leveled compaction is not enabled.

    - #### getSSTableCountPerLevel

          int[] getSSTableCountPerLevel()

      Returns:
        sstable count for each level. null unless leveled compaction is used. array index corresponds to level(int[0] is for level 0, ...).

    - #### getLevelFanoutSize

          int getLevelFanoutSize()

      Returns:
        sstable fanout size for level compaction strategy.

    - #### getDroppableTombstoneRatio

          double getDroppableTombstoneRatio()

      Get the ratio of droppable tombstones to real columns (and non-droppable tombstones)
      Returns:
        ratio

    - #### trueSnapshotsSize

          long trueSnapshotsSize()

      Returns:
        the size of SSTables in "snapshots" subdirectory which aren't live anymore

    - #### beginLocalSampling

          void beginLocalSampling(java.lang.String sampler,
                                  int capacity)

      begin sampling for a specific sampler with a given capacity. The cardinality may be larger than the capacity, but depending on the use case it may affect its accuracy

    - #### finishLocalSampling

          javax.management.openmbean.CompositeData finishLocalSampling(java.lang.String sampler,
                                                                       int count)
                                                                throws javax.management.openmbean.OpenDataException

      Returns:
        top count items for the sampler since beginLocalSampling was called
      Throws:
        `javax.management.openmbean.OpenDataException`

    - #### isCompactionDiskSpaceCheckEnabled

          boolean isCompactionDiskSpaceCheckEnabled()

    - #### compactionDiskSpaceCheck

          void compactionDiskSpaceCheck(boolean enable)

Copyright © 2018 The Apache Software Foundation